package com.muyu.cloud.auth.domain.request;

import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/24
 * @Description: 用户登录请求对象
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLoginReq {
    /**
     * 用户名
     */
    @NotBlank(message = "用户名不可为空")
    private String userName;
    /**
     * 密码
     */
    @NotBlank(message = "密码不可为空")
    private String password;
}
